if [ "${DB}" = "mysql" -o "${DB}" = "mysql6" -o "${DB}" = "mysql8"   -o "${DB}" = "mariadb" ]; then
echo "Waiting for mysql"
  while :
  do
    result=`/usr/bin/mysqladmin ping -h"$MYSQL_HOST" -u"$MYSQL_USER" -p"$MYSQL_PASSWORD"`
    if echo $result|grep 'alive'; then
      break
    fi
    sleep 3;
  done
echo "MySQL is up - executing command"
elif [ "${DB}" = "hsqldb" ]; then
echo "use $DB"
else
echo "Can't use unknown DB $DB"
exit 1
fi

ALREADY_INIT_DB_FILE=../../upload_dir/already_init_db.lck
if [ "${DB}" != "hsqldb" -a "${INIT_DB}" = "true" -a ! -f "${ALREADY_INIT_DB_FILE}" ]; then
./init_db.sh
touch "${ALREADY_INIT_DB_FILE}"
fi

./catalina.sh run

